Html4DocDesc (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.html
Class Html4DocDesc

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.html.HtmlDocDesc
          edu.harvard.hul.ois.jhove.module.html.Html4DocDesc

Direct Known Subclasses:
  Html4StrictDocDesc, Html4TFDocDesc

    public abstract class Html4DocDesc

extends HtmlDocDesc

Abstract class for common features of HTML 4.0 and 4.01 documents.

Author:
  Gary McGath

Field Summary
`protected static java.util.List` | `bigAttrs` Big attributes list.
`protected static java.util.List` | `biggerAttrs` Big attributes plus reserved attributes.
`protected static java.util.List` | `blockContent` List of block elements.
`protected static java.util.List` | `bodyContent` List of elements for the BODY element and some other elements.
`protected static java.util.List` | `coreAttrs` Core attributes list.
`protected static java.util.List` | `eventAttrs` Event attributes list.
`protected static java.util.List` | `flowContent` List of flow elements.
`protected static java.lang.String[]` | `fontMarkup` Names of font-related elements.
`protected static java.lang.String[]` | `formMarkup` Names of form elements.
`protected static HtmlAttributeDesc` | `halignAtt` Horizontal alignment attribute for cells.
`protected static java.util.List` | `i18nAttrs` Internationalization attributes list.
`protected static java.util.List` | `inlineContent` List of inline elements.
`protected static java.util.List` | `listContent` List consisting of the LI element.
`protected static java.lang.String[]` | `listMarkup` Names of list elements.
`protected static java.lang.String[]` | `phraseMarkup` Names of phrase elements.
`protected static java.util.List` | `reservedAttrs` Attributes described as "reserved for future use."
`protected static java.lang.String[]` | `specialMarkup` Names of special elements.
`protected static java.util.List` | `thtdAtts` Attributes for TH and TD elements
`protected static HtmlAttributeDesc` | `valignAtt` Vertical alignment attribute for cells.

Fields inherited from class edu.harvard.hul.ois.jhove.module.html.HtmlDocDesc
`bodyElement, commonTags, framesetElement, headElement, headings, htmlElement, supportedElements`

Constructor Summary
`Html4DocDesc()`

Method Summary
`protected static void` | `addAddressElement(java.util.Map stSupportedElements)` Defines the ADDRESS element.
`protected static void` | `addBdoElement(java.util.Map stSupportedElements)` Defines the BDO element.
`protected static void` | `addBodyElement(java.util.Map stSupportedElements)` Defines the BODY element.
`protected static void` | `addColElement(java.util.Map stSupportedElements, java.util.List cellalignAttrs)` Defines the COL element.
`protected static void` | `addColgroupElement(java.util.Map stSupportedElements, java.util.List cellalignAttrs)` Defines the COLGROUP element.
`protected static void` | `addDdElement(java.util.Map stSupportedElements)` Defines the DD element.
`protected static void` | `addDelElement(java.util.Map stSupportedElements)` Defines the DEL element.
`protected static void` | `addDtElement(java.util.Map stSupportedElements)` Defines the DT element.
`protected static void` | `addFieldsetElement(java.util.Map stSupportedElements)` Defines the FIELDSET element.
`protected static void` | `addInsElement(java.util.Map stSupportedElements)` Defines the INS element.
`protected static void` | `addLabelElement(java.util.Map stSupportedElements)` Defines the LABEL element.
`protected static void` | `addMapElement(java.util.Map stSupportedElements)` Defines the MAP element.
`protected static void` | `addMetaElement(java.util.Map stSupportedElements)` Defines the META element.
`protected static void` | `addOptgroupElement(java.util.Map stSupportedElements)` Defines the OPTGROUP (option group) element.
`protected static void` | `addOptionElement(java.util.Map stSupportedElements)` Defines the OPTION element.
`protected static void` | `addParamElement(java.util.Map stSupportedElements)` Defines the PARAM element.
`protected static void` | `addQElement(java.util.Map stSupportedElements)` Defines the Q (short quote) element.
`protected static void` | `addSelectElement(java.util.Map stSupportedElements)` Defines the SELECT element.
`protected static void` | `addSpanElement(java.util.Map stSupportedElements)` Defines the SPAN element.
`protected static void` | `addStyleElement(java.util.Map stSupportedElements)` Defines the STYLE element.
`protected static void` | `addSubElement(java.util.Map stSupportedElements)` Defines the SUB (subscript) element.
`protected static void` | `addSupElement(java.util.Map stSupportedElements)` Defines the SUP (superscript) element.
`protected static void` | `addTbodyElement(java.util.Map stSupportedElements, java.util.List cellalignAttrs)` Defines the TBODY element.
`protected static void` | `addTdElement(java.util.Map stSupportedElements)` Defines the TD element.
`protected static void` | `addTextareaElement(java.util.Map stSupportedElements)` Defines the TEXTAREA element.
`protected static void` | `addTfootElement(java.util.Map stSupportedElements, java.util.List cellalignAttrs)` Defines the TFOOT element.
`protected static void` | `addTheadElement(java.util.Map stSupportedElements, java.util.List cellalignAttrs)` Defines the THEAD element.
`protected static void` | `addThElement(java.util.Map stSupportedElements)` Defines the TH element.
`protected static void` | `addTitleElement(java.util.Map stSupportedElements)` Defines the TITLE element.
`protected static void` | `classInit4(java.util.Map stSupportedElements)` Initialization code.

Methods inherited from class edu.harvard.hul.ois.jhove.module.html.HtmlDocDesc
`addRequiredAttribute, addSelfAttribute, addSimpleAttribute, addStringsToList, getMetadata, init, pushElementStack, removeStringsFromList, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fontMarkup

    protected static java.lang.String[] fontMarkup

  Names of font-related elements.

### phraseMarkup

    protected static java.lang.String[] phraseMarkup

  Names of phrase elements.

### specialMarkup

    protected static java.lang.String[] specialMarkup

  Names of special elements.

### formMarkup

    protected static java.lang.String[] formMarkup

  Names of form elements.

### listMarkup

    protected static java.lang.String[] listMarkup

  Names of list elements.

### blockContent

    protected static java.util.List blockContent

  List of block elements.

### flowContent

    protected static java.util.List flowContent

  List of flow elements.

### inlineContent

    protected static java.util.List inlineContent

  List of inline elements.

### listContent

    protected static java.util.List listContent

  List consisting of the LI element.

### bodyContent

    protected static java.util.List bodyContent

  List of elements for the BODY element and some other elements.

### coreAttrs

    protected static java.util.List coreAttrs

  Core attributes list.

### i18nAttrs

    protected static java.util.List i18nAttrs

  Internationalization attributes list.

### eventAttrs

    protected static java.util.List eventAttrs

  Event attributes list.

### bigAttrs

    protected static java.util.List bigAttrs

  Big attributes list. The dtd calls this "attrs", but here it's called lotsaAttrs to avoid confusion with common local variables.

### biggerAttrs

    protected static java.util.List biggerAttrs

  Big attributes plus reserved attributes.

### reservedAttrs

    protected static java.util.List reservedAttrs

  Attributes described as "reserved for future use."

### halignAtt

    protected static HtmlAttributeDesc halignAtt

  Horizontal alignment attribute for cells.

### valignAtt

    protected static HtmlAttributeDesc valignAtt

  Vertical alignment attribute for cells.

### thtdAtts

    protected static java.util.List thtdAtts

  Attributes for TH and TD elements

Constructor Detail

### Html4DocDesc

    public Html4DocDesc()

Method Detail

### classInit4

    protected static void classInit4(java.util.Map stSupportedElements)

  Initialization code. This is called from the static initializer of our subclasses.

### addAddressElement

    protected static void addAddressElement(java.util.Map stSupportedElements)

  Defines the ADDRESS element.

### addBdoElement

    protected static void addBdoElement(java.util.Map stSupportedElements)

  Defines the BDO element.

### addBodyElement

    protected static void addBodyElement(java.util.Map stSupportedElements)

  Defines the BODY element.

### addColElement

    protected static void addColElement(java.util.Map stSupportedElements,
                                        java.util.List cellalignAttrs)

  Defines the COL element.

### addColgroupElement

    protected static void addColgroupElement(java.util.Map stSupportedElements,
                                             java.util.List cellalignAttrs)

  Defines the COLGROUP element.

### addDdElement

    protected static void addDdElement(java.util.Map stSupportedElements)

  Defines the DD element.

### addDelElement

    protected static void addDelElement(java.util.Map stSupportedElements)

  Defines the DEL element.

### addDtElement

    protected static void addDtElement(java.util.Map stSupportedElements)

  Defines the DT element.

### addFieldsetElement

    protected static void addFieldsetElement(java.util.Map stSupportedElements)

  Defines the FIELDSET element.

### addInsElement

    protected static void addInsElement(java.util.Map stSupportedElements)

  Defines the INS element.

### addLabelElement

    protected static void addLabelElement(java.util.Map stSupportedElements)

  Defines the LABEL element.

### addMapElement

    protected static void addMapElement(java.util.Map stSupportedElements)

  Defines the MAP element. HTML 4.0 and 4.01 actually have different definitions here. 4.0 allows block content or AREA elements, but not a mix of the two; 4.01 allows a mix of the two. The current version of the code doesn't allow that distinction to be expressed. (There are no differences between Strict and Transitional.)

### addMetaElement

    protected static void addMetaElement(java.util.Map stSupportedElements)

  Defines the META element.

### addOptgroupElement

    protected static void addOptgroupElement(java.util.Map stSupportedElements)

  Defines the OPTGROUP (option group) element.

### addOptionElement

    protected static void addOptionElement(java.util.Map stSupportedElements)

  Defines the OPTION element.

### addParamElement

    protected static void addParamElement(java.util.Map stSupportedElements)

  Defines the PARAM element.

### addQElement

    protected static void addQElement(java.util.Map stSupportedElements)

  Defines the Q (short quote) element.

### addSelectElement

    protected static void addSelectElement(java.util.Map stSupportedElements)

  Defines the SELECT element.

### addSpanElement

    protected static void addSpanElement(java.util.Map stSupportedElements)

  Defines the SPAN element.

### addStyleElement

    protected static void addStyleElement(java.util.Map stSupportedElements)

  Defines the STYLE element.

### addSubElement

    protected static void addSubElement(java.util.Map stSupportedElements)

  Defines the SUB (subscript) element.

### addSupElement

    protected static void addSupElement(java.util.Map stSupportedElements)

  Defines the SUP (superscript) element.

### addTextareaElement

    protected static void addTextareaElement(java.util.Map stSupportedElements)

  Defines the TEXTAREA element.

### addTbodyElement

    protected static void addTbodyElement(java.util.Map stSupportedElements,
                                          java.util.List cellalignAttrs)

  Defines the TBODY element.

### addTdElement

    protected static void addTdElement(java.util.Map stSupportedElements)

  Defines the TD element. The strict and transitional versions have different attribute sets, but this is taken care of by the initialization of thtdAtts.

### addTfootElement

    protected static void addTfootElement(java.util.Map stSupportedElements,
                                          java.util.List cellalignAttrs)

  Defines the TFOOT element.

### addThElement

    protected static void addThElement(java.util.Map stSupportedElements)

  Defines the TH element. The strict and transitional versions have different attribute sets, but this is taken care of by the initialization of thtdAtts.

### addTheadElement

    protected static void addTheadElement(java.util.Map stSupportedElements,
                                          java.util.List cellalignAttrs)

  Defines the THEAD element.

### addTitleElement

    protected static void addTitleElement(java.util.Map stSupportedElements)

  Defines the TITLE element.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD